#include "imagestack.h"
#include <iostream>

ImageStack::ImageStack(QWidget *parent) :
    QWidget(parent)
{
    /*
    this->widgetHeight = 200;
    this->widgetWidth = 200;
    this->imageHeight = 198;
    this->imageWidth = 198;
    */
    parent_ = parent;
    this->setFixedSize(110,110);
    this->setContentsMargins(0,0,0,0);
}

int ImageStack::addImage(QString imagename)
{
    QPixmap* newImage = new QPixmap();
    if( newImage->load( imagename ) )
    {
        *newImage = newImage->scaled(80, 80,Qt::KeepAspectRatio);
        imgList.push_back( newImage );
        return 0;
    }

    return -1;
}

void ImageStack::paintEvent(QPaintEvent *event)
{
    QList< QPixmap* >::iterator it;
    QPainter p(this);
// UNUSED    int nImages = imgList.length();
    int i=0;

    for(it=imgList.begin(); it != imgList.end(); ++it)
    {
        p.drawPixmap(15-(i*5), i*5, *(*it));
        i++;
        if( i == 3)
            break;
    }
    p.drawPixmap(15,0,*imgList.at(0));
    p.end();
    QWidget::paintEvent(event);
}

void ImageStack::mousePressEvent(QMouseEvent* event)
{
    emit clicked( id_ );
}

void ImageStack::setId(int id)
{
    id_ = id;
}
