#ifndef IMAGESTACK_H
#define IMAGESTACK_H

#include <QWidget>
#include <QString>
#include <QPixmap>
#include <QList>
#include <QPainter>
#include <QTextStream>

#include "stack.h"

class ImageStack : public QWidget
{
    Q_OBJECT
public:
    explicit ImageStack(QWidget *parent = 0);
    int addImage(QString imageName);
    void paintEvent( QPaintEvent* event );
    void setId(int id);

private:
        QList< QPixmap* > imgList;
        int widgetWidth;
        QWidget* parent_;
        int widgetHeight;
        int imageWidth;
        int imageHeight;

        bool selected_;
        void mousePressEvent(QMouseEvent* event);
        int id_;
signals:
        void clicked(int id);

};

#endif // IMAGESTACK_H
