#ifndef IMAGEVIEW_H
#define IMAGEVIEW_H

#include <QWidget>
#include <QGridLayout>
#include <QStringList>
#include <QPixmap>
#include <QPainter>
#include <QLabel>
#include <QPushButton>

#include "stack.h"

class ImageView : public QWidget
{
    Q_OBJECT
public:
    explicit ImageView(QWidget *parent = 0);
    int showImageFolder(QStringList stackFile, QString imgDir);
    void createImageView(Stack* imgStack, QString imgDir);
    void die();
private:
        QWidget* parent_;
        QGridLayout* grid_;
        QPixmap* pixmap_;
        int currentStackId;
        int currentImageId;
        QLabel* imageLabel_;
        Stack* imgStack_;
        QString imgDir_;

signals:
    void exited();

public slots:
        void bLeftClicked();
        void bRightClicked();
        void bHomeClicked();
        void bInfoClicked();
};

#endif // IMAGEVIEW_H
