#ifndef STACKVIEW_H
#define STACKVIEW_H

#include <QWidget>
#include <QString>
#include <QFile>
#include <QGridLayout>
#include <QScrollArea>
#include <QStringList>
#include <QList>

#include "imagestack.h"
#include "stack.h"

class StackView : public QWidget
{
    Q_OBJECT
public:
    StackView(QWidget *parent = 0);
    int AddStack(QString stackFile, QString imgDir);
    QStringList getImageStackList(int id);
    void setNColumns( int c );
    void resizeEvent(QResizeEvent* event);
    void createStackView(QList<Stack> stackList, QString imgDir);
    void die();

private:
        QWidget* parent_;
        QGridLayout* grid_;

        int nColumns_;
        QList< QStringList > stackList_;
signals:
    void stackClicked(int id);

public slots:
    void stackSelected(int value);

};

#endif // STACKVIEW_H
